{
  "name": "angular-video-chat",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "start:dev": "ng build --watch",
    "start:server": "nodemon ./server/server.js",
    "build": "ng build",
    "build:client": "ng build --prod --aot",
    "build:server": "webpack --config webpack.server.config.js --mode production --progress --colors",
    "build:prod": "npm run build:client && npm run build:server",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~8.2.11",
    "@angular/cdk": "~8.2.3",
    "@angular/common": "~8.2.11",
    "@angular/compiler": "~8.2.11",
    "@angular/core": "~8.2.11",
    "@angular/forms": "~8.2.11",
    "@angular/material": "^8.2.3",
    "@angular/platform-browser": "~8.2.11",
    "@angular/platform-browser-dynamic": "~8.2.11",
    "@angular/router": "~8.2.11",
    "@types/socket.io-client": "^1.4.32",
    "@types/webrtc": "0.0.26",
    "cors": "^2.8.5",
    "express": "^4.17.1",
    "hammerjs": "^2.0.8",
    "nodemon": "^2.0.2",
    "rxjs": "~6.4.0",
    "socket.io": "^1.7.4",
    "socket.io-client": "^2.3.0",
    "zone.js": "~0.9.1"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~0.803.10",
    "@angular/cli": "~8.3.10",
    "@angular/compiler-cli": "~8.2.11",
    "@angular/language-service": "~8.2.11",
    "@types/jasmine": "~3.3.8",
    "@types/jasminewd2": "~2.0.3",
    "@types/node": "~8.9.4",
    "codelyzer": "^5.0.0",
    "jasmine-core": "^3.7.1",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~4.1.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~2.0.1",
    "karma-jasmine": "~2.0.1",
    "karma-jasmine-html-reporter": "^1.4.0",
    "protractor": "~5.4.0",
    "ts-loader": "^6.2.2",
    "ts-node": "~7.0.0",
    "ts-node-dev": "^1.0.0-pre.44",
    "tslib": "^1.10.0",
    "tslint": "~5.15.0",
    "typescript": "~3.5.3",
    "webpack": "^4.42.1",
    "webpack-cli": "^3.3.11",
    "webpack-node-externals": "^1.7.2"
  }
}
